When contributing to this repository, please first discuss the change you wish to make via issue, email, or any other method with the owners of this repository before making a change.

Please note we have a [code of conduct](./CODE_OF_CONDUCT.md), please follow it in all your interactions with the project.

## Pull Requests

1. Ensure any install or build dependencies are removed before the end of the layer when doing a 
   build.
2. Update the README.md file with any relevant information. 
3. Increase the version numbers in package.json and manifest.json to the new version that this
   Pull Request would represent. You can run `yarn version` or `npm run version` to update to the
   next version automatically.
4. You may merge the Pull Request in once you have the sign-off by any maintainers or if you 
   do not have permission to do that, you may request a maintainer to merge it for you.


## Bug Report/Feature Requests

1. Please use issues to report a bug or request a feature.
2. Use the templates available to create a [bug report](.github/ISSUE_TEMPLATE/bug_report.md) or [feature request](.github/ISSUE_TEMPLATE/feature_request.md).
